import { system, world } from "@minecraft/server";

system.runInterval(() => {
    for (const player of world.getPlayers()) {
        if (player.hasTag("bsdisappearing")) {
            player.runCommand("execute at @e[tag=bsdisappear] run playanimation @e[tag=bsdisappear] animation.bsburn");
        }
    }
}, 19);

system.runInterval(() => {
    for (const player of world.getPlayers()) {
        if (player.hasTag("bspilot1")) {
            player.runCommand("execute at @e[tag=bspilot] run particle nika:bspilot2 ~ ~ ~");
            player.runCommand("execute at @e[tag=bspilot] run execute at @e[family=mob,r=10] run particle nika:bspilot3 ~ ~ ~");
            player.runCommand("execute at @e[tag=bspilot] run execute at @e[family=player,tag=!bs_user,r=10] run particle nika:bspilot3 ~ ~ ~");
        }
    }
}, 60);
