import { system, world } from "@minecraft/server";

system.runInterval(() => {
    for (const player of world.getPlayers()) {
        if (!player.hasTag("dbm_active")) continue;

        for (const entity of player.dimension.getEntities()) {
            if (entity.hasTag("dbmb")) {
                entity.runCommandAsync("execute if block ~ ~-1 ~ water run tp @s ~ ~-1 ~");

                system.runTimeout(() => {
                    if (entity.hasTag("dbmb")) {
                        entity.removeTag("dbmb");
                    }
                }, 120);
            }
        }
    }
}, 10);
