import { world, system, ItemStack } from "@minecraft/server";

world.beforeEvents.worldInitialize.subscribe(initEvent => {
  initEvent.itemComponentRegistry.registerCustomComponent('jjba:use_skill', {
    onUse(e) {
      const player = e.source;
      const item = e.itemStack;

      item.getComponent('minecraft:cooldown').startCooldown(player);

      switch (item.typeId) {
        case 'jjba:requiem_arrow':
          player.runCommandAsync('execute as @s[tag=ge_user,r=1] at @s[r=1] run function req1');
          player.runCommandAsync('execute as @s[tag=kc_user] at @s run function req1');
          player.runCommandAsync('execute as @s[tag=sc_user] at @s run function req1');
          break;
        case 'jjba:rokaka':
          player.runCommandAsync('execute as @s at @s run function getsw');
          break;
        case 'jjba:stand_arrow':
          player.runCommandAsync('execute as @s[tag=!stand_user] at @s run function stand_arrow');
          break;
        case 'jjba:stand_arrow_100':
          player.runCommandAsync('execute as @s[tag=!stand_user] at @s run function stand_arrow_gs');
          break;
        case 'jjba:bsb':
          player.runCommandAsync('execute as @s at @s run function bsb');
          break;
        case 'jjba:rt_l5_book':
          player.runCommandAsync('execute as @s at @s run function rt_l5');
          break;
        case 'jjba:stand_arrow_for_sdplus':
          player.runCommandAsync('execute as @s[tag=!stand_user] at @s run function stand_arrow1');
          break;
        default:
          return;
      }
    }
  });
});
